%global pypi_name requests_unixsocket2
%global package_name requests-unixsocket

Summary:        Use requests to talk HTTP via a UNIX domain socket
Name:           python-%{package_name}
Version:        0.4.0
Release:        4%{?dist}
License:        ASL 2.0
URL:            https://github.com/thelabnyc/requests-unixsocket2
Source0:        %{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
 
%description
Use requests to talk HTTP via a UNIX domain socket.

%package -n     python3-%{package_name}
Summary:        Use requests to talk HTTP via a UNIX domain socket
BuildRequires:  python3-devel python3dist(pytest)
BuildRequires:  python3dist(requests) python3dist(urllib3) python3dist(waitress)
BuildRequires:  python3dist(pip) python3dist(poetry-core)
Requires:       python3dist(requests)

%description -n python3-%{package_name}
Use requests to talk HTTP via a UNIX domain socket.

%prep
%autosetup -n %{pypi_name}-%{version}
sed -i '1d' requests_unixsocket/tests/test_requests_unixsocket.py

%build
%pyproject_wheel

%install
%pyproject_install
mv %{buildroot}%{python3_sitelib}/requests_unixsocket2-%{version}.dist-info %{buildroot}%{python3_sitelib}/requests_unixsocket-%{version}.dist-info
sed -i 's/unixsocket2/unixsocket/g' %{buildroot}%{python3_sitelib}/requests_unixsocket-%{version}.dist-info/METADATA

%check
%pytest

%files -n python3-%{package_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/requests_unixsocket
%{python3_sitelib}/requests_unixsocket-%{version}.dist-info

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.0-3
- Rebuilt for loongarch release

* Mon Jul 22 2024 Rebuild Robot <rebot@opencloudos.org> - 0.4.0-2
- [Type] other
- [DESC] Rebuilt for python-requests

* Tue Jul 16 2024 Jiaxin Yang <jiaxinyyang@tencent.com> - 0.4.0-1
- [Type] other
- [DESC] upgrade to 0.4.0

* Fri Sep 22 2023 jackeyji <jackeyji@tencent.com> - 0.3.0-1
- upgrade to 0.3.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 12 2023 Miaojun Dong <zoedong@tencent.com> - 0.2.0-1
- initial build
